Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.trees.tregex
Class TregexParserTokenManager

    java.lang.Object
      edu.stanford.nlp.trees.tregex.TregexParserTokenManager

All Implemented Interfaces:
  TregexParserConstants

    public class TregexParserTokenManager

extends Object
implements TregexParserConstants

Token Manager.

Field Summary
`protected static char` | `curChar`
`static PrintStream` | `debugStream` Debug output.
`protected static SimpleCharStream` | `input_stream`
`static String[]` | `jjstrLiteralImages` Token literal values.
`static String[]` | `lexStateNames` Lexer state names.

Fields inherited from interface edu.stanford.nlp.trees.tregex.TregexParserConstants
`BLANK, DEFAULT, EOF, IDENTIFIER, NUMBER, REGEX, REL_W_STR_ARG, RELATION, tokenImage, VARNAME`

Constructor Summary
`TregexParserTokenManager(SimpleCharStream stream)` Constructor.
`TregexParserTokenManager(SimpleCharStream stream, int lexState)` Constructor.

Method Summary
`static Token` | `getNextToken()` Get the next Token.
`protected static Token` | `jjFillToken()`
`static void` | `ReInit(SimpleCharStream stream)` Reinitialise parser.
`static void` | `ReInit(SimpleCharStream stream, int lexState)` Reinitialise parser.
`static void` | `setDebugStream(PrintStream ds)` Set debug output.
`static void` | `SwitchTo(int lexState)` Switch to specified lex state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debugStream

    public static PrintStream debugStream

  Debug output.

### jjstrLiteralImages

    public static final String[] jjstrLiteralImages

  Token literal values.

### lexStateNames

    public static final String[] lexStateNames

  Lexer state names.

### input_stream

    protected static SimpleCharStream input_stream

### curChar

    protected static char curChar

Constructor Detail

### TregexParserTokenManager

    public TregexParserTokenManager(SimpleCharStream stream)

  Constructor.

### TregexParserTokenManager

    public TregexParserTokenManager(SimpleCharStream stream,
                                    int lexState)

  Constructor.

Method Detail

### setDebugStream

    public static void setDebugStream(PrintStream ds)

  Set debug output.

### ReInit

    public static void ReInit(SimpleCharStream stream)

  Reinitialise parser.

### ReInit

    public static void ReInit(SimpleCharStream stream,
                              int lexState)

  Reinitialise parser.

### SwitchTo

    public static void SwitchTo(int lexState)

  Switch to specified lex state.

### jjFillToken

    protected static Token jjFillToken()

### getNextToken

    public static Token getNextToken()

  Get the next Token.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group